Runtime

## org.eclipse.gmf.runtime.diagram.ui.editparts
Interface IRotatableEditPart

public interface IRotatableEditPart

Interface checks whether editpart supports rotation.

Method Summary
`boolean` `isRotatable()` This determines if an `EditPart` can be rotated or not.

Method Detail

### isRotatable

    public boolean isRotatable()

  This determines if an `EditPart` can be rotated or not. By introducing an interface, this allows the clients to determine dynamically based on some state whether or not the EditPart can be rotated.

  Returns:
    `booean` `true` if the shape is rotatable, or `false` otherwise.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.